# $Revision: 1.4 $, $Date: 2005/10/11 20:05:23 $
%include	/usr/lib/rpm/macros.perl
Summary:	A tool to show diffs between rpms
Summary(pl):	Narzdzie do pokazywania rnic midzy pakietami rpm
Name:		urpmdiff
Version:	1.1
Release:	1
License:	GPL
Group:		Development
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	eca3b2f8fbc1f46a225fc769f669c30b
Patch0:		%{name}-no-MDK.patch
URL:		http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/urpmdiff
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
urpmdiff shows the differences between two rpms. It's intended to help
packagers to know what has changed between an old and a new version of
an rpm. Its output is reminiscent of the unified diff format.

%description -l pl
urpmdiff pokazuje rnice midzy dwoma pakietami rpm. Jego zadaniem
jest pomoc osobom pakietujcym, aby wiedziay, co zmienio si midzy
star a now wersj pakietu. Wyjcie przypomina format unified diff.

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: urpmdiff.spec,v $
Revision 1.4  2005/10/11 20:05:23  glen
- integer release

Revision 1.3  2005/09/17 22:51:31  glen
- use pure_install

Revision 1.2  2005/07/07 17:21:55  qboosh
- pl

Revision 1.1  2005/07/06 05:47:40  glen
- rpm tools from mandrake/mandriva
